Early access: these pages are being written and reviewed. Facts in the header boxes come straight from the product.
POST /voice-agents/{id}/preview-prompt
POST
/api/v1/voice-agents/{id}/preview-prompt
const url = 'https://api.pitch2sale.com/api/v1/voice-agents/example/preview-prompt';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"lead_id":"example","call_goal":"example","style_override":{"voice_speed":1,"voice_temperature":1,"responsiveness":1,"enable_backchannel":true,"backchannel_frequency":1,"backchannel_words":["example"],"reminder_trigger_ms":1,"reminder_max_count":1,"check_in_phrase":"example","ambient_sound":"none","ambient_sound_volume":1,"boosted_keywords":["example"],"pronunciation_dictionary":[{"word":"example","pronunciation":"example","alphabet":"ipa"}],"pacing_mode":"fast","enable_filler_words":true}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.pitch2sale.com/api/v1/voice-agents/example/preview-prompt \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "lead_id": "example", "call_goal": "example", "style_override": { "voice_speed": 1, "voice_temperature": 1, "responsiveness": 1, "enable_backchannel": true, "backchannel_frequency": 1, "backchannel_words": [ "example" ], "reminder_trigger_ms": 1, "reminder_max_count": 1, "check_in_phrase": "example", "ambient_sound": "none", "ambient_sound_volume": 1, "boosted_keywords": [ "example" ], "pronunciation_dictionary": [ { "word": "example", "pronunciation": "example", "alphabet": "ipa" } ], "pacing_mode": "fast", "enable_filler_words": true } }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
lead_id
string
call_goal
string
style_override
object
voice_speed
number
voice_temperature
number
responsiveness
number
enable_backchannel
boolean
backchannel_frequency
number
backchannel_words
Array<string>
reminder_trigger_ms
integer
reminder_max_count
integer
check_in_phrase
string
ambient_sound
string
ambient_sound_volume
number
boosted_keywords
Array<string>
pronunciation_dictionary
Array<object>
object
word
required
string
pronunciation
required
string
alphabet
required
string
pacing_mode
string
enable_filler_words
boolean
Responses
Section titled “Responses”OK
Validation failed
Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{ "error": "example", "code": "example", "message": "example", "details": [ { "field": "example", "message": "example", "code": "example" } ]}Authentication required or token invalid
Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{ "error": "example", "code": "example", "message": "example", "details": [ { "field": "example", "message": "example", "code": "example" } ]}Feature not available on the organization plan
Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{ "error": "example", "code": "example", "message": "example", "details": [ { "field": "example", "message": "example", "code": "example" } ]}Role permission or token scope missing
Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{ "error": "example", "code": "example", "message": "example", "details": [ { "field": "example", "message": "example", "code": "example" } ]}Rate limit exceeded
Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{ "error": "example", "code": "example", "message": "example", "details": [ { "field": "example", "message": "example", "code": "example" } ]}